package org.seasar.jsf;

import org.seasar.jsf.exception.PrefixNotFoundRuntimeException;
import org.seasar.jsf.exception.UriNotFoundRuntimeException;

/**
 * @author higa
 *
 */
public interface JsfConfig {

	public void addTaglibUri(String prefix, String uri);
	
	public boolean hasTaglibUri(String prefix);
	
	public String getTaglibUri(String prefix) throws PrefixNotFoundRuntimeException;
	
	public String getTaglibPrefix(String uri) throws UriNotFoundRuntimeException;
	
	public TagConfig getTagConfig(String prefix, String tagName);
	
	public TagConfig getTagConfig(String inject);
	
	public void setTaglibManager(TaglibManager taglibManager);
}
